Login | Register For Free | Help
Search for: (Advanced)

Mailing List Archive: Gentoo: Alpha

Ditching 2.4 kernel support?

 

 

Gentoo alpha RSS feed   Index | Next | Previous | View Threaded


kloeri at gentoo

Dec 15, 2006, 7:48 AM

Post #1 of 7 (4839 views)
Permalink
Ditching 2.4 kernel support?

Hi all.

2.4 kernels is generally the biggest problem when building new releases
and most, if not all should be able to use 2.6 kernels by now.
Considering that I'm currently only planning to provide 2.6 support for
the 2007.0 release and forward.

Please contact me if 2.6 kernels doesn't work on your alpha so we can
try to work out any problems in time for next release.

Regards,
Bryan Østergaard

PS. You can catch me on kloeri [at] gentoo or as 'kloeri' on
irc.freenode.net.
--
gentoo-alpha [at] gentoo mailing list


right_maple_nut at yahoo

Dec 17, 2006, 1:52 PM

Post #2 of 7 (4633 views)
Permalink
RE: Ditching 2.4 kernel support? [In reply to]

If you want to ditch 2.4 kernal support someone will need to modify MILO to work with 2.6 series kernals. The only reason that I am not currently using Gentoo on my Alpha is that I cannot get a working MILO for current generation kernals. Unfortunately, I do not have the programming skills to do this myself. If you or anyone else knows where I can get a MILO boot floppy for a 2.6 kernal, as recent a version as possible please, would you please reply to the list if appropriate or directly to me at 'right_maple_nut [at] yahoo'.

Thank you in advance to all who reply. I would really like to get my Alpha up and running.

Signed.
Amos H. Weatherill

-----Original Message-----
From: Bryan Østergaard [mailto:kloeri [at] gentoo]
Sent: December 15, 2006 9:49 AM
To: gentoo-alpha [at] lists
Subject: [gentoo-alpha] Ditching 2.4 kernel support?


Hi all.

2.4 kernels is generally the biggest problem when building new releases
and most, if not all should be able to use 2.6 kernels by now.
Considering that I'm currently only planning to provide 2.6 support for
the 2007.0 release and forward.

Please contact me if 2.6 kernels doesn't work on your alpha so we can
try to work out any problems in time for next release.

Regards,
Bryan Østergaard

PS. You can catch me on kloeri [at] gentoo or as 'kloeri' on
irc.freenode.net.
--
gentoo-alpha [at] gentoo mailing list


--
gentoo-alpha [at] gentoo mailing list


davide.cittaro at ifom-ieo-campus

Dec 17, 2006, 4:04 PM

Post #3 of 7 (4625 views)
Permalink
Re: Ditching 2.4 kernel support? [In reply to]

Hi,
On Dec 15, 2006, at 3:48 PM, Bryan stergaard wrote:

> Please contact me if 2.6 kernels doesn't work on your alpha so we can
> try to work out any problems in time for next release.

I have 3 alpha with gentoo. Two of them are DS25 (ev68) and I cannot
run a 2.6 kernel. I may be totally dumb, I may be unable to configure
a proper kernel, but while I can set the "legacy start address" for
this machine (and therefore boot) on 2.4 kernel, I cannot do this on
2.6. Probably I missed something, but docs about DS25 are very poor
and I couldn't find out how to boot a 2.6 kernel on it.

Cheers

d


--
gentoo-alpha [at] gentoo mailing list


jeff_donsbach at yahoo

Dec 17, 2006, 9:09 PM

Post #4 of 7 (4618 views)
Permalink
Re: Ditching 2.4 kernel support? [In reply to]

Which machine do you have? I have an XLT (Milo only machine) and it works fine with 2.6 kernels. Admittedly, I haven't upgraded in a while. I think I am running something like 2.6.14 or so.


----- Original Message ----
From: Amos H. Weatherill <right_maple_nut [at] yahoo>
To: gentoo-alpha [at] lists
Sent: Sunday, December 17, 2006 3:52:18 PM
Subject: RE: [gentoo-alpha] Ditching 2.4 kernel support?

If you want to ditch 2.4 kernal support someone will need to modify MILO to work with 2.6 series kernals. The only reason that I am not currently using Gentoo on my Alpha is that I cannot get a working MILO for current generation kernals. Unfortunately, I do not have the programming skills to do this myself. If you or anyone else knows where I can get a MILO boot floppy for a 2.6 kernal, as recent a version as possible please, would you please reply to the list if appropriate or directly to me at 'right_maple_nut [at] yahoo'.

Thank you in advance to all who reply. I would really like to get my Alpha up and running.

Signed.
Amos H. Weatherill

-----Original Message-----
From: Bryan stergaard [mailto:kloeri [at] gentoo]
Sent: December 15, 2006 9:49 AM
To: gentoo-alpha [at] lists
Subject: [gentoo-alpha] Ditching 2.4 kernel support?


Hi all.

2.4 kernels is generally the biggest problem when building new releases
and most, if not all should be able to use 2.6 kernels by now.
Considering that I'm currently only planning to provide 2.6 support for
the 2007.0 release and forward.

Please contact me if 2.6 kernels doesn't work on your alpha so we can
try to work out any problems in time for next release.

Regards,
Bryan stergaard

PS. You can catch me on kloeri [at] gentoo or as 'kloeri' on
irc.freenode.net.
--
gentoo-alpha [at] gentoo mailing list


--
gentoo-alpha [at] gentoo mailing list





__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

--
gentoo-alpha [at] gentoo mailing list


right_maple_nut at yahoo

Dec 22, 2006, 10:40 PM

Post #5 of 7 (4649 views)
Permalink
RE: Ditching 2.4 kernel support? [In reply to]

Hello Mr. Donsbach.

Sorry that it took so long to get back to you. All I know about the machine
without digging up some RAM and turning it on is that it is one of the few
systems that cannot use the SRM firmware, thus I must use MILO to load a
kernel. If you have a floppy boot image that will work with a 2.6 kernel,
please post send it to my E-Mail Address or post a link and I'll download
it.

My E-Mail address is : right_maple_nut [at] yahoo

Many Thanks.
Amos H. Weatherill

-----Original Message-----
From: Jeff Donsbach [mailto:jeff_donsbach [at] yahoo]
Sent: December 17, 2006 11:09 PM
To: gentoo-alpha [at] lists
Subject: Re: [gentoo-alpha] Ditching 2.4 kernel support?


Which machine do you have? I have an XLT (Milo only machine) and it works
fine with 2.6 kernels. Admittedly, I haven't upgraded in a while. I think I
am running something like 2.6.14 or so.


----- Original Message ----
From: Amos H. Weatherill <right_maple_nut [at] yahoo>
To: gentoo-alpha [at] lists
Sent: Sunday, December 17, 2006 3:52:18 PM
Subject: RE: [gentoo-alpha] Ditching 2.4 kernel support?

If you want to ditch 2.4 kernal support someone will need to modify MILO to
work with 2.6 series kernals. The only reason that I am not currently using
Gentoo on my Alpha is that I cannot get a working MILO for current
generation kernals. Unfortunately, I do not have the programming skills to
do this myself. If you or anyone else knows where I can get a MILO boot
floppy for a 2.6 kernal, as recent a version as possible please, would you
please reply to the list if appropriate or directly to me at
'right_maple_nut [at] yahoo'.

Thank you in advance to all who reply. I would really like to get my Alpha
up and running.

Signed.
Amos H. Weatherill

-----Original Message-----
From: Bryan stergaard [mailto:kloeri [at] gentoo]
Sent: December 15, 2006 9:49 AM
To: gentoo-alpha [at] lists
Subject: [gentoo-alpha] Ditching 2.4 kernel support?


Hi all.

2.4 kernels is generally the biggest problem when building new releases
and most, if not all should be able to use 2.6 kernels by now.
Considering that I'm currently only planning to provide 2.6 support for
the 2007.0 release and forward.

Please contact me if 2.6 kernels doesn't work on your alpha so we can
try to work out any problems in time for next release.

Regards,
Bryan stergaard

PS. You can catch me on kloeri [at] gentoo or as 'kloeri' on
irc.freenode.net.
--
gentoo-alpha [at] gentoo mailing list


--
gentoo-alpha [at] gentoo mailing list





__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

--
gentoo-alpha [at] gentoo mailing list

--
gentoo-alpha [at] gentoo mailing list


jeff_donsbach at yahoo

Dec 25, 2006, 6:35 PM

Post #6 of 7 (4648 views)
Permalink
Re: Ditching 2.4 kernel support? [In reply to]

Amos,
Unfortunately, it is not that simple. MILO is model specific, so unless you know what machine type you have, I might be sending you the wrong file. If you can't power it on, can you snap a picture of it? That will likely help identify it.

Cheers,
Jeff D
p.s. sorry for the delayed response too. Holidays and all.......

----- Original Message ----
From: Amos H. Weatherill <right_maple_nut [at] yahoo>
To: gentoo-alpha [at] lists
Sent: Saturday, December 23, 2006 12:40:55 AM
Subject: RE: [gentoo-alpha] Ditching 2.4 kernel support?

Hello Mr. Donsbach.

Sorry that it took so long to get back to you. All I know about the machine
without digging up some RAM and turning it on is that it is one of the few
systems that cannot use the SRM firmware, thus I must use MILO to load a
kernel. If you have a floppy boot image that will work with a 2.6 kernel,
please post send it to my E-Mail Address or post a link and I'll download
it.

My E-Mail address is : right_maple_nut [at] yahoo

Many Thanks.
Amos H. Weatherill

-----Original Message-----
From: Jeff Donsbach [mailto:jeff_donsbach [at] yahoo]
Sent: December 17, 2006 11:09 PM
To: gentoo-alpha [at] lists
Subject: Re: [gentoo-alpha] Ditching 2.4 kernel support?


Which machine do you have? I have an XLT (Milo only machine) and it works
fine with 2.6 kernels. Admittedly, I haven't upgraded in a while. I think I
am running something like 2.6.14 or so.


----- Original Message ----
From: Amos H. Weatherill <right_maple_nut [at] yahoo>
To: gentoo-alpha [at] lists
Sent: Sunday, December 17, 2006 3:52:18 PM
Subject: RE: [gentoo-alpha] Ditching 2.4 kernel support?

If you want to ditch 2.4 kernal support someone will need to modify MILO to
work with 2.6 series kernals. The only reason that I am not currently using
Gentoo on my Alpha is that I cannot get a working MILO for current
generation kernals. Unfortunately, I do not have the programming skills to
do this myself. If you or anyone else knows where I can get a MILO boot
floppy for a 2.6 kernal, as recent a version as possible please, would you
please reply to the list if appropriate or directly to me at
'right_maple_nut [at] yahoo'.

Thank you in advance to all who reply. I would really like to get my Alpha
up and running.

Signed.
Amos H. Weatherill

-----Original Message-----
From: Bryan stergaard [mailto:kloeri [at] gentoo]
Sent: December 15, 2006 9:49 AM
To: gentoo-alpha [at] lists
Subject: [gentoo-alpha] Ditching 2.4 kernel support?


Hi all.

2.4 kernels is generally the biggest problem when building new releases
and most, if not all should be able to use 2.6 kernels by now.
Considering that I'm currently only planning to provide 2.6 support for
the 2007.0 release and forward.

Please contact me if 2.6 kernels doesn't work on your alpha so we can
try to work out any problems in time for next release.

Regards,
Bryan stergaard

PS. You can catch me on kloeri [at] gentoo or as 'kloeri' on
irc.freenode.net.
--
gentoo-alpha [at] gentoo mailing list


--
gentoo-alpha [at] gentoo mailing list





__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

--
gentoo-alpha [at] gentoo mailing list

--
gentoo-alpha [at] gentoo mailing list





__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

--
gentoo-alpha [at] gentoo mailing list


daweonline at gmail

Jan 2, 2007, 11:04 PM

Post #7 of 7 (4625 views)
Permalink
Re: Ditching 2.4 kernel support? [In reply to]

I found that 2.6 kernel can't run on DS25 with SMP support. Only one
CPU is supported

d
--
gentoo-alpha [at] gentoo mailing list

Gentoo alpha RSS feed   Index | Next | Previous | View Threaded
 
 


Interested in having your list archived? Contact Gossamer Threads
 
  Web Applications & Managed Hosting Powered by Gossamer Threads Inc.